Migration guide - Elastica

Edit on GitHub

This migration guide is a part of the Search migration effort.

The Elastica module is a wrapper around 3rd-party library for interacting with Elasticsearch. It does not contain any code and usually should not be updated alone. Its version is managed either by the Search module or by the SearchElasticsearch module.

Estimated migration time: less than 1 minute

Upgrading from version 5.0.0 to version 6.0.0

The 6th version of the Elastica module installs version 7 of the ruflin/elastica package required for interacting with Elasticsearch 7.

To upgrade the module, install or update it through composer:

composer require "spryker/elastica:6.0.0" --update-with-dependencies

Upgrading from version 4.0.0 to version 5.0.0

This version of the Elastica module installs version 6 of the ruflin/elastica package required for interacting with Elasticsearch 6.

To upgrade the module, install or update it through composer::

composer require "spryker/elastica:5.0.0" --update-with-dependencies

Estimated migration time: less than 1 minute